package pps.cloud.space.service;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.data.XServiceResult;

/**
 * 日用电趋势计算Cloud模块
 *
 * @author ZWT
 * @date 2024/05/22 17:15
 */
@XService
@XText("日用电趋势计算Cloud模块")
public interface IDailyElectricityTrendCloudService {

    /**
     * 日用电趋势计算Cloud模块--定时任务
     *
     * @param context 上下文
     * @return {@link XServiceResult}
     */
    @XText("日用电趋势计算Cloud模块--定时任务")
    XServiceResult dailyElectricityTrendJob(XContext context);
}
